org.apache.tapestry5.internal.services

## Class PersistentFieldBundleImpl

- java.lang.Object
- - org.apache.tapestry5.internal.services.PersistentFieldBundleImpl

- All Implemented Interfaces:
    PersistentFieldBundle

      public class PersistentFieldBundleImpl
      extends Object
      implements PersistentFieldBundle

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistentFieldBundleImpl(Collection<PersistentFieldChange> changes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsValue(String componentId, String fieldName)` Checks to see if a persistent value has been stored for the indicated component and field.
    `Object` | `getValue(String componentId, String fieldName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersistentFieldBundleImpl

          public PersistentFieldBundleImpl(Collection<PersistentFieldChange> changes)

  - ### Method Detail

    - #### containsValue

          public boolean containsValue(String componentId,
                                       String fieldName)

      Description copied from interface: `PersistentFieldBundle`
      Checks to see if a persistent value has been stored for the indicated component and field. TODO: This method can probably be removed; it doesn't look like its used (instead, we if check getValue() returns null).
      Specified by:
        `containsValue` in interface `PersistentFieldBundle`
      Parameters:
        `componentId` - the nested id of the component (within the page), may be null or blank for the root component of the page
        `fieldName` - the name of the field whose value was persisted
      Returns:
        true if a change has been stored

    - #### getValue

          public Object getValue(String componentId,
                                 String fieldName)

      Specified by:
        `getValue` in interface `PersistentFieldBundle`
      Parameters:
        `componentId` - the nested if of the component (within the page), may be null or blank for the root component of the page
        `fieldName` - the name of the field whose value was persisted
      Returns:
        the persisted value, possibly null

5.6.4 - Copyright © 2003-2021 The Apache Software Foundation.